LibreOffice LibreOffice 26.2 SDK API Reference

Variables
com::sun::star::awt::WindowAttribute Constant Group Referencepublished

These values are used to specify the decorations of a window. More...

## Variables
const long | SHOW = 1
| specifies that the window is initially visible. More...
const long | FULLSIZE = 2
| specifies that the window fills the complete desktop area. More...
const long | OPTIMUMSIZE = 4
| specifies that the window is optimum size. More...
const long | MINSIZE = 8
| specifies that the window is minimum size. More...
const long | BORDER = 16
| specifies that the window has visible borders. More...
const long | SIZEABLE = 32
| specifies that the size of the window can be changed by the user. More...
const long | MOVEABLE = 64
| specifies that the window can be moved by the user. More...
const long | CLOSEABLE = 128
| specifies that the window can be closed by the user. More...
const long | SYSTEMDEPENDENT = 256
| specifies that the window should support the com::sun::star::awt::XSystemDependentWindowPeer interface. More...
const long | NODECORATION = 512
| specifies that the window should have no decoration. More...

## Detailed Description

These values are used to specify the decorations of a window.

IMPORTANT: These constants have to be disjunct with constants in VclWindowPeerAttribute.

## Variable Documentation

## ◆ BORDER

const long BORDER = 16

specifies that the window has visible borders.

This applies only to top windows.

## ◆ CLOSEABLE

const long CLOSEABLE = 128

specifies that the window can be closed by the user.

This applies only to top windows.

## ◆ FULLSIZE

const long FULLSIZE = 2

specifies that the window fills the complete desktop area.

This applies only to top windows.

## ◆ MINSIZE

const long MINSIZE = 8

specifies that the window is minimum size.

This applies only to top windows.

## ◆ MOVEABLE

const long MOVEABLE = 64

specifies that the window can be moved by the user.

This applies only to top windows.

## ◆ NODECORATION

const long NODECORATION = 512

specifies that the window should have no decoration.

## ◆ OPTIMUMSIZE

const long OPTIMUMSIZE = 4

specifies that the window is optimum size.

This applies only to top windows.

## ◆ SHOW

const long SHOW = 1

specifies that the window is initially visible.

## ◆ SIZEABLE

const long SIZEABLE = 32

specifies that the size of the window can be changed by the user.

This applies only to top windows.

## ◆ SYSTEMDEPENDENT

const long SYSTEMDEPENDENT = 256

specifies that the window should support the com::sun::star::awt::XSystemDependentWindowPeer interface.

This flag may be ignored, but in this case no system-dependent extension works.

See also
  XSystemDependentWindowPeer
  com::sun::star::lang::SystemDependent

Deprecated:
  conflicts with VclWindowPeerAttribute::HSCROLL